# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::A3DSMaterial Class Reference

The A3DSMaterial class represents a material in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions
| A3DSMaterial ()
## Public Attributes
String | mMaterialName
fvec3 | mAmbient
fvec3 | mDiffuse
fvec3 | mSpecular
float | mShininess
float | mShininessStrength
float | mTransparency
bool | mDoubleSided
A3DSTexture | mTexture1
A3DSTexture | mTexture2

## Detailed Description

The A3DSMaterial class represents a material in a 3DS file.

## Constructor & Destructor Documentation

vl::A3DSMaterial::A3DSMaterial | ( |  | ) | `[inline]`

## Member Data Documentation

String vl::A3DSMaterial::mMaterialName

fvec3 vl::A3DSMaterial::mAmbient

fvec3 vl::A3DSMaterial::mDiffuse

fvec3 vl::A3DSMaterial::mSpecular

float vl::A3DSMaterial::mShininess

float vl::A3DSMaterial::mShininessStrength

float vl::A3DSMaterial::mTransparency

bool vl::A3DSMaterial::mDoubleSided

A3DSTexture vl::A3DSMaterial::mTexture1

A3DSTexture vl::A3DSMaterial::mTexture2

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:11 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.